<?
include 'config.php';
include 'func.php';
head();
aut();
ban();
////////////////////////////////////////
echo "<div class=\"head\"><b>Голосования</b></div><div class=\"main\">";


switch($_GET['act']){
default: 


break;


case 'add':
if(empty($_POST['vote'])){
echo '
<form action="golos.php?act=add" method="post" name="form">
<b>Вопрос:</b><br/>
<input name="vote" type="text" maxlength="150" /><br/><br/>';

echo '<b>Варианты ответов:</b> <small>[min.2]</small><br/>';
echo '<b>1:</b> <input name="1" type="text" maxlength="100" /><br/>';
echo '<b>2:</b> <input name="2" type="text" maxlength="100" /><br/>';
echo '<b>3:</b> <input name="3" type="text" maxlength="100" /><br/>';
echo '<b>4:</b> <input name="4" type="text" maxlength="100" /><br/>';
echo '<b>5:</b> <input name="5" type="text" maxlength="100" /><br/>';
echo '<input name="submit" type="submit" value="Создать" /></form></div>';
}else{
if(empty($_POST['1'])) $error = 'Не заполнен 1-й вариант ответа.'; 
if(empty($_POST['2'])) $error = 'Не заполнен 2-й вариант ответа.'; 
if($error)
{
    echo $error;
}else{
    mysql_query("INSERT INTO `votes` SET `vopros` = '".html($_POST['vopros'])."', `v_1` = '".html($_POST['1'])."', `v_1` = '".html($_POST['2'])."', `v_1` = '".html($_POST['3'])."', `v_1` = '".html($_POST['4'])."', `v_1` = '".html($_POST['5'])."'");;
}
}
break;


}
////////////////////////////////////////

foot();
?>